<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_45) on Mon Mar 14 09:25:42 GMT 2016 -->
<title>Constant Field Values</title>
<meta name="date" content="2016-03-14">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#com.stefanomantini">com.stefanomantini.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="com.stefanomantini">
<!--   -->
</a>
<h2 title="com.stefanomantini">com.stefanomantini.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.stefanomantini.config.<a href="com/stefanomantini/config/Constants.html" title="class in com.stefanomantini.config">Constants</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.stefanomantini.config.Constants.DATA_MONA">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/Constants.html#DATA_MONA">DATA_MONA</a></code></td>
<td class="colLast"><code>"classpath:data/mona-lisa.txt"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.stefanomantini.config.Constants.SWAGGER_CONTACT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/Constants.html#SWAGGER_CONTACT">SWAGGER_CONTACT</a></code></td>
<td class="colLast"><code>"Stefano Mantini"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.stefanomantini.config.Constants.SWAGGER_DESC">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/Constants.html#SWAGGER_DESC">SWAGGER_DESC</a></code></td>
<td class="colLast"><code>"REST API"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.stefanomantini.config.Constants.SWAGGER_LICENCE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/Constants.html#SWAGGER_LICENCE">SWAGGER_LICENCE</a></code></td>
<td class="colLast"><code>"MIT"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.stefanomantini.config.Constants.SWAGGER_LICENCE_URL">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/Constants.html#SWAGGER_LICENCE_URL">SWAGGER_LICENCE_URL</a></code></td>
<td class="colLast"><code>"MIT"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.stefanomantini.config.Constants.SWAGGER_TERMS_OF_SERVICE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/Constants.html#SWAGGER_TERMS_OF_SERVICE">SWAGGER_TERMS_OF_SERVICE</a></code></td>
<td class="colLast"><code>"cmp-tsp.herokuapp.com/#/"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.stefanomantini.config.Constants.SWAGGER_TITLE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/Constants.html#SWAGGER_TITLE">SWAGGER_TITLE</a></code></td>
<td class="colLast"><code>"Vehicle Compound Management"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.stefanomantini.config.Constants.SWAGGER_VERSION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/Constants.html#SWAGGER_VERSION">SWAGGER_VERSION</a></code></td>
<td class="colLast"><code>"0.0.1"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.stefanomantini.config.<a href="com/stefanomantini/config/MetricsConfiguration.html" title="class in com.stefanomantini.config">MetricsConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.stefanomantini.config.MetricsConfiguration.PROP_METRIC_REG_JVM_BUFFERS">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/MetricsConfiguration.html#PROP_METRIC_REG_JVM_BUFFERS">PROP_METRIC_REG_JVM_BUFFERS</a></code></td>
<td class="colLast"><code>"jvm.buffers"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.stefanomantini.config.MetricsConfiguration.PROP_METRIC_REG_JVM_FILES">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/MetricsConfiguration.html#PROP_METRIC_REG_JVM_FILES">PROP_METRIC_REG_JVM_FILES</a></code></td>
<td class="colLast"><code>"jvm.files"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.stefanomantini.config.MetricsConfiguration.PROP_METRIC_REG_JVM_GARBAGE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/MetricsConfiguration.html#PROP_METRIC_REG_JVM_GARBAGE">PROP_METRIC_REG_JVM_GARBAGE</a></code></td>
<td class="colLast"><code>"jvm.garbage"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.stefanomantini.config.MetricsConfiguration.PROP_METRIC_REG_JVM_MEMORY">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/MetricsConfiguration.html#PROP_METRIC_REG_JVM_MEMORY">PROP_METRIC_REG_JVM_MEMORY</a></code></td>
<td class="colLast"><code>"jvm.memory"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.stefanomantini.config.MetricsConfiguration.PROP_METRIC_REG_JVM_THREADS">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/MetricsConfiguration.html#PROP_METRIC_REG_JVM_THREADS">PROP_METRIC_REG_JVM_THREADS</a></code></td>
<td class="colLast"><code>"jvm.threads"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.stefanomantini.config.<a href="com/stefanomantini/config/SwaggerConfig.html" title="class in com.stefanomantini.config">SwaggerConfig</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.stefanomantini.config.SwaggerConfig.DEFAULT_INCLUDE_PATTERN">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/stefanomantini/config/SwaggerConfig.html#DEFAULT_INCLUDE_PATTERN">DEFAULT_INCLUDE_PATTERN</a></code></td>
<td class="colLast"><code>"/api/.*"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
